<?php declare(strict_types=1);

namespace Newland\Toubiz\Sync\Neos\Tests\Unit\Importer\Mock;

use Newland\Toubiz\Api\ObjectAdapter\MediumAdapterInterface;

class MediaAdapterMock implements MediumAdapterInterface
{

    public $properties = [];

    public function __construct(array $properties)
    {
        $this->properties = $properties;
    }

    public function getSourceUri(): string
    {
        return $this->properties['sourceUri'] ?? '';
    }

    public function getTitle(): ?string
    {
        return $this->properties['title'] ?? '';
    }

    public function getCopyright(): ?string
    {
        return $this->properties['copyright'] ?? '';
    }

    public function getExternalId(): string
    {
        return $this->properties['externalId'] ?? '';
    }

    public function getType(): string
    {
        return $this->properties['type'] ?? '';
    }

    public function getPreviewUri(): ?string
    {
        return $this->properties['externalId'] ?? null;
    }

    public function getAltText(): ?string
    {
        return $this->properties['altText'] ?? null;
    }

    public function getDescription(): ?string
    {
        return null;
    }

    public function getFocusPointX(): ?int
    {
        return null;
    }

    public function getFocusPointY(): ?int
    {
        return null;
    }
}
